function cost = cost_S_biggest_change(U)
% found surface is 0.5 pixels under actual, but that is the same as when
% using region information

% a bit of smoothing
z_mask = zeros(1,1,5);
z_mask(:) = [0.1 0.2 0.4 0.2 0.1];
U = imfilter(U,z_mask,'conv','replicate');
cost = -abs(diff(U));

cost = (cost-min(cost(:)))/(max(cost(:))-min(cost(:)));
cost(end+1,:) = 1; % to assure the same dimensions as input