addpath '../visualization_functions'

clear
close all

nu = 5;
lambda = 0;
sort = 1;

mesh = sphere_tiling(nu);

figure
p0 = draw_mesh(mesh);
set(p0,'EdgeColor','r','EdgeLighting','flat','LineWidth',2,...
    'FaceColor','b','FaceAlpha',0.3,'FaceLighting','flat',...
    'BackFaceLighting','unlit')
material shiny
axis vis3d off, view(3), camlight('right')


figure
p = draw_mesh(mesh); 
set(p,'EdgeColor','none','FaceColor','b','FaceAlpha',0.2,...
    'FaceLighting','phong')
hold on, axis vis3d off equal, view(3), camlight('right')
material shiny

%axis vis3d, view(3), hold on
s = 1.01;
plot3(s*mesh.vertices(:,1),s*mesh.vertices(:,2),s*mesh.vertices(:,3),...
    'r-','LineWidth',3)
s = 1.05;
text(s*mesh.vertices(:,1),s*mesh.vertices(:,2),s*mesh.vertices(:,3),...
    num2str((1:size(mesh.vertices,1))'))
