function S = fold_surface(s,mesh,q)
% can also handle layered surfaces 
% (for one layer K = 1, permute and repmat not needed)

tic, fprintf('Fold surface ... ')

K = size(s,2);
R = permute(interp1(q,s),[1 3 2]);
S = repmat(mesh.vertices,[1 1 K]) + ...
    repmat(R,[1,3,1]).*repmat(mesh.normals,[1 1 K]);

disp(['finished at ',num2str(toc)])

end
