function draw_mesh_and_slice_tri(V,mesh)
% includes hard coding, made to be used with motivating_example_tri script 

[X,Y,Z,~] = size(V);

% volume bounding box
bbox.vertices = [0 0 0; 0 0 Z; 0 Y 0; X 0 0; 0 Y Z; X 0 Z; X Y 0; X Y Z];
bbox.faces = [1 2 6 4; 1 3 5 2; 1 4 7 3; 2 5 8 6; 3 7 8 5; 4 6 8 7];

% drawing
frame = patch(bbox); hold on
%cost_slice = slice(V(:,:,:),90:20:130,[],[]); colormap gray
h = draw_mesh(mesh);

V_meshgrid = permute(V,[2 1 3]);
cost_slice = slice(V_meshgrid(:,:,:),[],80,[]); colormap gray

% setting properties
set(frame,'FaceColor','none','EdgeColor','r','LineWidth',1)
%set(cost_slice,'EdgeColor','none','FaceAlpha',0.5)
set(cost_slice,'EdgeColor','none')
set(h,'EdgeColor','b','FaceColor','r','FaceAlpha',0.6,...
    'EdgeLighting','phong','FaceLighting','phong')%,'BackFaceLighting','unlit')
axis([-0.1*X 1.1*X -0.1*Y 1.1*Y -0.1*Z 1.1*Z]), axis vis3d equal off, %camlight right
campos([1000 -1500 1000]), camlight headlight

